Debian セキュリティ勧告

DSA-854-1 tcpdump -- 無限ループ

報告日時:
2005-10-09
影響を受けるパッケージ:
tcpdump
危険性:
あり
参考セキュリティデータベース:
Mitre の CVE 辞書: CVE-2005-1267.
詳細:

Simon Nielsen さんが、ネットワーク監視およびデータ捕捉を行う強力なツール tcpdump の BGP dissector がデータパケットを解読する内部関数からの戻り値 -1 を適切に処理していないことを発見しました。特別に細工した BGP パケットにより、無限ループを経由したサービス拒否を引き起こすことが可能です。

旧安定版 (old stable) ディストリビューション (woody) にはこの問題の影響はありません。

安定版 (stable) ディストリビューション (sarge) では、この問題はバージョン 3.8.3-5sarge1 で修正されています。

直ちに tcpdump パッケージをアップグレードすることを勧めます。

修正:

Debian GNU/Linux 3.1 (sarge)

ソース:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.8.3-5sarge1.dsc
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.8.3-5sarge1.diff.gz
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.8.3.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.8.3-5sarge1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.8.3-5sarge1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.8.3-5sarge1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.8.3-5sarge1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.8.3-5sarge1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.8.3-5sarge1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.8.3-5sarge1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.8.3-5sarge1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.8.3-5sarge1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.8.3-5sarge1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.8.3-5sarge1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.8.3-5sarge1_sparc.deb

一覧にあるファイルの MD5 チェックサムは勧告の原文にあります。